Description: Bonjour,

J'essaye d'installer AMC sur macOSX 10.6.8 avec MacPorts est j'obtiens au cours de l'installation ce 
message :
--->  Building opencv
Error: org.macports.build for port opencv returned: command execution failed
Error: Failed to install opencv
Please see the log file for port opencv for details:
    
/opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_g
raphics_opencv/opencv/main.log
Error: The following dependencies were not installed: opencv p5.22-archive-zip p5.22-compress-raw-zlib gzip 
p5.22-dbd-sqlite p5.22-dbi p5.22-digest-md5 p5.22-email-mime p5.22-email-address p5.22-email-messageid 
p5.22-email-mime-contenttype p5.22-email-mime-encodings p5.22-email-simple p5.22-email-date-format 
p5.22-mime-types p5.22-email-sender p5.22-email-abstract p5.22-module-pluggable p5.22-module-runtime 
p5.22-module-build p5.22-cpan-meta p5.22-cpan-meta-requirements p5.22-cpan-meta-yaml 
p5.22-parse-cpan-meta p5.22-version p5.22-inc-latest p5.22-module-metadata p5.22-perl-ostype 
p5.22-podlators p5.22-pod-simple p5.22-pod-escapes p5.22-yaml p5.22-mro-compat p5.22-class-c3 
p5.22-algorithm-c3 p5.22-class-c3-xs p5.22-list-moreutils p5.22-exporter-tiny p5.22-moo 
p5.22-class-method-modifiers p5.22-class-xsaccessor p5.22-devel-globaldestruction p5.22-scope-guard 
p5.22-sub-exporter p5.22-data-optlist p5.22-params-util p5.22-sub-install p5.22-sub-exporter-progressive 
p5.22-role-tiny p5.22-strictures p5.22-bareword-filehandles p5.22-b-hooks-op-check p5.22-extutils-depends 
p5.22-parent p5.22-lexical-sealrequirehints p5.22-indirect p5.22-multidimensional p5.22-sub-name 
p5.22-moox-types-mooselike p5.22-throwable p5.22-devel-stacktrace p5.22-try-tiny p5.22-file-basedir 
p5.22-ipc-system-simple p5.22-file-mimeinfo p5.22-file-desktopentry p5.22-gtk2 gtk2 atk hicolor-icon-theme 
xorg-libXcomposite xorg-compositeproto xorg-libXcursor xorg-libXdamage xorg-damageproto xorg-libXi 
xorg-inputproto xorg-libXinerama xorg-xineramaproto p5.22-cairo p5.22-extutils-pkgconfig p5.22-glib 
p5.22-pango p5.22-locale-gettext p5.22-module-load-conditional p5.22-locale-maketext-simple 
p5.22-module-corelist p5.22-module-load p5.22-params-check p5.22-openoffice-oodoc p5.22-xml-twig 
p5.22-html-entities-numbered p5.22-html-tidy tidyp p5.22-html-tree p5.22-test-fatal p5.22-text-tabsxwrap 
p5.22-tie-ixhash p5.22-xml-xpath p5.22-xml-xpathengine p5.22-perlmagick ImageMagick djvulibre fftw-3 
ghostscript jbig2dec libpaper xorg-libXt xorg-libsm xorg-libice openjpeg urw-fonts webp p5.22-text-csv 
p5.22-xml-simple p5.22-xml-namespacesupport p5.22-xml-sax p5.22-xml-sax-base p5.22-xml-sax-expat 
p5.22-xml-writer poppler poppler-data texlive-fonts-recommended texlive-basic texlive-bin harfbuzz-icu libzzip 
mpfr potrace texlive-common xorg-libXaw xorg-libXmu xpm xorg-libXp xorg-printproto texlive-lang-french 
texlive-latex-extra texlive-latex-recommended pgf texlive-latex texlive-pictures texlive-xetex 
texlive-generic-recommended
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets
Error: Processing of port auto-multiple-choice failed

Que me conseillez-vous ?

Merci d'avance,

Franck
History
12/16/2015 12:31 pm - Alexis Bienvenüe
- Priority changed from Urgent to Normal

- Category set to Installation

- Status changed from New to Feedback

AMC a besoin d'OpenCV, mais la compilation de cette dernière bibliothèque a échoué… Pouvez vous joindre le fichier mentioné sous « Please see the 
log file for port opencv for details » ?

12/16/2015 01:14 pm - Joël Brogniart
Pouvez-vous indiquer le résultat de la commande suivante ?

<pre>port info auto-multiple-choice</pre>

12/16/2015 02:04 pm - franck bazile
Joël Brogniart wrote:
> Pouvez-vous indiquer le résultat de la commande suivante ?
> 
> [...]

Last login: Wed Dec 16 01:15:25 on ttys000
ar086198-Franck-2:~ user$ port info auto-multiple-choice
auto-multiple-choice @1.2.1_4 (x11, tex, education)
Variants:             [+]latex

Description:          Utility to manage multiple choice questionnaires, with
                      optionally mixed questions and answers. AMC provides
                      automatic marking from papers' scans. Annotated papers are
                      produced. Marks can be exported as an OpenOffice.org sheet
                      file. This version can't print directly with CUPS. User
                      should set Printing method to file or command in
                      preferences. file method produce PDF files that could be
                      printed from OS X.
Homepage:             http://home.gna.org/auto-qcm

Library Dependencies: opencv
Runtime Dependencies: p5.22-gtk2, p5.22-xml-simple, p5.22-xml-writer,
                      p5.22-archive-zip, p5.22-locale-gettext, p5.22-digest-md5,
                      p5.22-module-load-conditional, p5.22-perlmagick,
                      p5.22-openoffice-oodoc, p5.22-file-mimeinfo,
                      p5.22-dbd-sqlite, p5.22-text-csv, p5.22-file-basedir,
                      p5.22-email-mime, p5.22-email-sender, sqlite3, poppler,
                      netpbm, librsvg, gdk-pixbuf2, texlive-latex-extra,
                      texlive-latex-recommended, texlive-fonts-recommended,
                      texlive-xetex, texlive-lang-french
Platforms:            darwin
License:              GPL-2+
Maintainers:          joel.brogniart@laposte.net, openmaintainer@macports.org
ar086198-Franck-2:~ user$ 
Merci !!!

12/16/2015 02:49 pm - Joël Brogniart
Bon, c'est la bonne version pour AMC.

Pouvez-vous fournir le contenu du fichier 
"/opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_graphics_opencv/opencv/main.log" qui 
contient les erreurs lors de la tentative d'installer opencv ?

12/16/2015 02:59 pm - franck bazile
Que dois-je faire pour avoir le contenu de ce fichier ?

Franck

12/16/2015 10:15 pm - franck bazile
Je crois que c'est bon !
Voici le contenu de ce fichier :

Et encore merci pour le temps que vous prenez pour m'aider ! 

Franck

12/16/2015 10:24 pm - Alexis Bienvenüe
- File opencv.log added

(j'ai mis le contenu envoyé par Franck dans un fichier pour plus de lisibilité)

12/16/2015 10:37 pm - Alexis Bienvenüe
Le problème est peut-être lié à https://trac.macports.org/ticket/49930 ?

12/16/2015 11:10 pm - franck bazile
Ça dépasse un peu mes compétences...
Comment faire la modif proposée ?

Je vous remercie d'avance,

Franck

12/17/2015 10:22 am - Joël Brogniart
Oui, le problème est bien celui signalé dans le ticket 49930. Vous ne pouvez pas y faire grand chose car il faut faire des modifications dans le code 
opencv. Le problème apparait sous OS X 10.6 mais pas dans les versions suivantes. Une solution a été proposée aux développeurs de opencv et elle 
a été acceptée pour être incorporée dans le code d'opencv. On ne peut pas simplement prendre la solution proposée pour résoudre ce problème 
spécifique parce qu'elle est inclue au milieu de plus d'un millier d'autres modifications.

Maintenant il faut attendre que les développeurs d'OpenCV figent une nouvelle version. Une fois une nouvelle version figée, MacPorts pourra 
l'incorporer. Et elle fonctionnera certainement avec OS X 10.6.x. 

Files
opencv.log 13.8 kB 12/16/2015 Alexis Bienvenüe
